1. movi3king's Avatar
    SO i got my 9930 about a week ago on the sprint network and am overall happy with the phone. One thing that never seemed to work properly is Telenav. I believe my phone came with the icon there and all i had to do was install it. Well i install it and all i get when i attemptt o open it is an error.

    I was wondering if someone can send me the COD file from their 9930 which is running telenav ok and then i would put it in mine using BBSAK.

    Anyone have an alternative to what i can use as a GPS app till Telenav is supported on my 9930?

    If you have any ideas for me please let me know.

    Thanks.
    08-29-11 12:38 PM
  2. decypher44's Avatar
    Telenav works just fine on my Sprint 9930. Have you called Sprint support?

    Posted from my CrackBerry at wapforums.crackberry.com
    08-29-11 02:00 PM
  3. movi3king's Avatar
    I called Telenav support and they said its not supported.
    Is it possible for you to send me telenav COD from your phone via BBSAK?

    I would really appreciate it.
    08-29-11 02:19 PM
  4. cparks2811's Avatar
    I had the same issue. Found the original install url from browser history. Reinstall worked. Use this link: http://ota.telenav.com/ota/sn/

    Posted from my CrackBerry at wapforums.crackberry.com
    08-29-11 11:08 PM
  5. movi3king's Avatar
    I have tried going to the link " TeleNav OTA " but my model is not supported (sprint 9930) I cant seem to find it supported for the verizon 9930 or any other bold 99xx.

    Every time i try to open telenav i get a error module 52........ (not sure on wording) i then remove it reinstall it and get the same issue.

    Can someone maybe use BBSAK and link me to their sprint telenav?
    I am stuck without GPS in my phone and its getting a little annoying...


    I have also tried to call support and they said that it is not supported by this model yet. weird

    If anyone can help me id really appreciate it.
    Thanks!
    09-06-11 05:45 PM
  6. cscott44's Avatar
    I have tried going to the link " TeleNav OTA " but my model is not supported (sprint 9930) I cant seem to find it supported for the verizon 9930 or any other bold 99xx.

    Every time i try to open telenav i get a error module 52........ (not sure on wording) i then remove it reinstall it and get the same issue.

    Can someone maybe use BBSAK and link me to their sprint telenav?
    I am stuck without GPS in my phone and its getting a little annoying...


    I have also tried to call support and they said that it is not supported by this model yet. weird

    If anyone can help me id really appreciate it.
    Thanks!
    Well support told you something that is not correct I have Telenav installed on my 9930. I deleted Sprint navagator which came on the phone and then went to the Telnav page and downloaded Telenav for Sprint. Google that and you should find the link. If I can find it again I will post it here. I still get the prompt to upgrade but that is to the premium version. I hope this helps.
    09-06-11 11:48 PM
  7. movi3king's Avatar
    Still nothing doing.
    I tried to google it without any results worthy of a download and according to their mobile ota site the 9930 is not a supported device.

    My frustration is growing.
    Anyone have any ideas?
    09-07-11 10:04 PM
  8. cscott44's Avatar
    09-07-11 10:46 PM
  9. cscott44's Avatar
    Ok here is the link: TeleNav OTA
    I Googled the following:
    "Telenav Sprint" (without the quotes) and the above info was right there. As I said before Telenav does work on the 9930. I have it installed and working on my 9930. I hope this helps you.
    09-07-11 10:49 PM
  10. movi3king's Avatar
    Looked at the link you posted and its the same link that i have tried over and over again. Look for yourself you will not see anything for the 9930 and when you click other (for phone model not present) it says sorry it is not supported.

    I will try my luck through google.

    Best bet would be if you can use BBSAK to extract it from your phone and maybe link me to it or email it to. I would be very great full.

    Ive been a hardcore blackberry user for years now so i know im not just overlooking the simple OTA site...
    09-07-11 10:54 PM
  11. gordongr's Avatar
    I don't get why it isn't working for you, the telenav icon was on my Sprint 9930 and works great, I would call Sprint for sure

    Sent from my BlackBerry 9930 using Tapatalk
    09-07-11 11:03 PM
  12. dollface's Avatar
    The Telenav icon was on my Sprint 9930 also, I installed it and have used it many times since then, with no issues.
    09-07-11 11:15 PM
  13. movi3king's Avatar
    ye im just going to have to go ahead and call them. I feel like sucha doosh wasting time on the phone with them...
    most times i call them and actually tell them how to do what i want done. and they always ask how long ive been working for sprint. lol (which i dont.)
    09-07-11 11:34 PM
  14. carlos320's Avatar
    I don't have any issue with telenav, I hope I could get the sprint navigation that I have in my 9650, I think that one was better than telenav, but works fine anyway, did you try to reload the OS to your phone, maybe is something else what is causing the error
    09-07-11 11:38 PM
  15. gordongr's Avatar
    I don't have any issue with telenav, I hope I could get the sprint navigation that I have in my 9650, I think that one was better than telenav, but works fine anyway, did you try to reload the OS to your phone, maybe is something else what is causing the error
    I also didnt like Telenav as much as Sprints version at 1rst but now that ive used it more its growing on me
    09-08-11 12:15 AM
  16. wowreally's Avatar
    Guys sprint navigation was just a customized version of telenav...

    if you do not have the telenave icon call sprint and they will push the service book to you then you can install the app.

    how do i know:
    1. noticing that when i started sprint navigation it was "powered by telenav" and the bold 9650 version was 3.0.

    2. When i switched my device it brought over the 9650 navigation app. when i installed the telenav app it says i am replacing a module blah blah blah; say yes

    3. go here:
    http://navigation.sprint.com/snweb/preplan/
    you will see that at the bottom it says... powered by telenav
    go here:
    http://navigation.sprint.com/devices.html
    9930 is not listed. However when you have installed telenav, your account (based on your phone number where you have your favorites saved etc... will be automatically linked) This offers the same app with the same functionality, only with a slightly different interface(which looks better to me).

    edit: my first post since 2008 lol this is a great day...
    Last edited by wowreally; 09-14-11 at 09:18 AM. Reason: my first post..
    09-14-11 09:05 AM
  17. screamlordbyron's Avatar
    Well support told you something that is not correct I have Telenav installed on my 9930. I deleted Sprint navagator which came on the phone and then went to the Telnav page and downloaded Telenav for Sprint. Google that and you should find the link. If I can find it again I will post it here. I still get the prompt to upgrade but that is to the premium version. I hope this helps.
    Your 9930 came with Sprint Navigator on it? Mine came with the own-branded version of Telenav only. If there is a working version of Sprint Navigator for the 9930 I'd love either an OTA link or a copy of the files for side-loading, as I much prefer the Sprint-Branded interface.
    09-14-11 04:26 PM
  18. screamlordbyron's Avatar
    Perhaps it's just me, but the Telenav version that came with my 9930 seems to be missing a number of features that appeared in Spring Navigation 3.x (even the non-premium versions). For instance traffic summary and traffic alerts do not appear tp be present in the non-premium version of Telenav, but are/were in SN 3.x.
    09-14-11 04:33 PM
  19. WOLFITZ's Avatar
    I had the same issue. Found the original install url from browser history. Reinstall worked. Use this link: TeleNav OTA

    Posted from my CrackBerry at wapforums.crackberry.com
    use exactly ths link in ur bb
    09-23-11 07:01 PM
  20. movi3king's Avatar
    i just upgraded to the latest OS (.362 i believe) and now it seems to be working.
    09-25-11 03:10 AM
LINK TO POST COPIED TO CLIPBOARD